/************************************************************************/
/*      Copyright (C) 2004  Michael C. Shultz                           */
/*                                                                      */
/* This program is free software; you can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License, or (at*/
/* your option) any later version.                                      */
/*                                                                      */
/* This program is distributed in the hope that it will be useful,      */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of       */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        */
/* GNU General Public License for more details.                         */
/*                                                                      */
/* You should have received a copy of the GNU General Public License    */
/* along with this program; if not, write to the Free Software          */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA            */
/*  02111-1307, USA.                                                    */
/*                                                                      */
/* Michael C. Shultz                                                    */
/* ringworm@inbox.lv                                                    */
/* Box 3238 Landers, CA 92285                                           */
/************************************************************************/
#ifndef __LIBPMGR_H__
#define __LIBPMGR_H__	1

#include	<libMG.h>
#include	<PMGRrDbCreate.h>
#include	<PMGRrMakeDescribe.h>
#include	<PMGRrReadConfigure.h>
#include	<pmStatus.h>
#include	<pmupgrade.h>

#ifndef VER	
static	char	ver[]	= "0.2.0";
#define VER	1
#endif

/****************************************/
/* DATADIR defined in bsd.port.mk	*/ 
/* PKG_DBDIR defined in bsd.port.mk	*/
/* data_DATA see automake manual	*/
/****************************************/
#ifndef	DATADIR
#define	DATADIR		"/usr/local/share/portmanager/"
#endif

#ifndef	LOCALBASE
#define	LOCALBASE	"/usr/local/"
#endif

#ifndef	PKG_DBDIR
#define	PKG_DBDIR	"/var/db/pkg"
#endif

#ifndef	PORTSDIR
#define	PORTSDIR	"/usr/ports/"
#endif

#define	PORTS_INSTALLED_DB	"ports_installed.db"
#define	PORT_DEPENDENCIES_DB	"port_dependencies.db"
#define	PORTS_CACHE_DB		"ports_cache.db"
#define	PORTS_OLD_DB		"ports_old.db"
#define	CACHE_RESET	"rm -f"" "DATADIR""PORTS_CACHE_DB


#endif
